Skip to main content
`Ctrl`+`K`

# numpy.ma.convolve

ma.convolve(a, v, mode='full', propagate_mask=True)

  Returns the discrete, linear convolution of two one-dimensional sequences.

  Parameters:
    a, v array_like

      Input sequences.

    mode{‘valid’, ‘same’, ‘full’}, optional

      Refer to the np.convolve docstring.

    propagate_mask bool

      If True, then if any masked element is included in the sum for a result element, then the result is masked. If False, then the result element is only masked if no non-masked cells contribute towards it

  Returns:
    out MaskedArray

      Discrete, linear convolution of a and v.

  See also

  `numpy.convolve`

    Equivalent function in the top-level NumPy module.